com.r3corda.node.services.monitor / ServiceToClientEvent / OutputState

# OutputState

`class OutputState : ServiceToClientEvent`

### Constructors

<init> | `OutputState(time: Instant, consumed: Set<StateRef>, produced: Set<StateAndRef<ContractState>>)`

### Properties

consumed | `val consumed: Set<StateRef>`
produced | `val produced: Set<StateAndRef<ContractState>>`

### Inherited Properties

time | `val time: Instant`